Subject: Re: vga16fb doesn't build on powerpc (vgacon_remap_base)

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 17 Oct 2007 19:01:19 +1000

On Wed, 2007-10-17 at 10:49 +0200, Geert Uytterhoeven wrote:
> > 
> > So VGACON probably doesn't work either on 32bit.  I'm guessing
> arch/powerpc
> > doesn't support PREP.
> 
> It's not only useful for PREP, but also for CHRP.
> 
> > How best could this be fixed up? Or should I just let the thing
> > be?  This is obviously not a new thing, and I don't have any
> hardware
> > that supports this stuff either.
> 
> I remember this problem was present when I still had a working
> LongTrail (which
> is CHRP), long before arch/powerpc/ was created.

It's all very old stuff that needs to be dusted. If you have a setup
where legacy VGA is useable, feel free to do a bit of work on that :-)

Ben.